Caller's cross-deal engagement summary
GET
/api/canvas/{deal_id}/engagement/summary
const url = 'https://example.com/api/canvas/example/engagement/summary?days=30';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/example/engagement/summary?days=30' \ --header 'Authorization: Bearer <token>'Return a cross-deal engagement rollup for the authenticated user.
Returns None when the user has fewer than 3 finalized deals in
the window (anonymity guard). Org scoping is taken from the JWT —
never accepted as a query param.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Query Parameters
Section titled “Query Parameters ” days
Days
Lookback window in days (1-365, default 30)
integer
Lookback window in days (1-365, default 30)
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}